Bug 1422157 - (CVE-2017-2623) CVE-2017-2623 rpm-ostree and rpm-ostree-client fail to check gpg package signatures when layering
CVE-2017-2623 rpm-ostree and rpm-ostree-client fail to check gpg package sign...
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20170302,repor...
: Security
Depends On: 1416089 1433392
Blocks: 1422170
  Show dependency treegraph
 
Reported: 2017-02-14 10:45 EST by Martin Prpič
Modified: 2017-05-12 02:58 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
It was discovered that rpm-ostree and rpm-ostree-client fail to properly check GPG signatures on packages when doing layering. Packages with unsigned or badly signed content could fail to be rejected as expected. This issue is partially mitigated on RHEL Atomic Host, where certificate pinning is used by default.
Story Points: ---
Clone Of:
Environment:
Last Closed: 2017-03-05 23:34:44 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2017-02-14 10:45:57 EST
It was found that rpm-ostree was not checking GPG signatures on packages when doing layering.

Note that for RHEL Atomic Host, this issue is of lower impact due to existing "certificate pinning" that is enabled by default. While it does not provide the same type of safety measures as GPG, it is a strong, standard baseline security practice against many threat scenarios.
Comment 1 Martin Prpič 2017-02-14 10:46:00 EST
Acknowledgments:

Name: Colin Walters (Red Hat)
Comment 2 errata-xmlrpc 2017-03-02 17:39:48 EST
This issue has been addressed in the following products:

  RHAH for RHEL 7

Via RHSA-2017:0444 https://access.redhat.com/errata/RHSA-2017:0444
Comment 3 Trevor Jay 2017-03-03 11:12:00 EST
Mitigation:

This issue is partially mitigated on RHEL Atomic Host, where default certificate pinning ensures provenance.
Comment 4 Trevor Jay 2017-03-03 13:19:26 EST
Corrected push is now out.

_Trevor
Comment 5 Carl Song 2017-04-04 11:36:48 EDT
The CVE page at https://access.redhat.com/security/cve/CVE-2017-2623 implies there is still a patch pending for base RHEL 7. The Doc Text on this bug page also implies the issue is not limited to RHAH. Will there be a fix for base RHEL 7?
Comment 7 Andrej Nemec 2017-05-12 02:58:26 EDT
(In reply to Carl Song from comment #5)
> The CVE page at https://access.redhat.com/security/cve/CVE-2017-2623 implies
> there is still a patch pending for base RHEL 7. The Doc Text on this bug
> page also implies the issue is not limited to RHAH. Will there be a fix for
> base RHEL 7?

This issue is related only to the RHAH. It is now reflected on the CVE page as well.

Note You need to log in before you can comment on or make changes to this bug.